import 'source-map-support/register';
import { Context } from 'koishi';
import { MyPlugin } from './plugin';
import { MyPluginConfig, MyPluginConfigLike } from './config';
export { MyPluginConfig } from './config';

export const name = 'srvpro-roomlist';
const plugin = new MyPlugin();
export const schema = plugin.schema;
export function apply(ctx: Context, config: MyPluginConfigLike) {
  ctx.plugin(plugin, config);
}
